Booking

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Flight Booking API

The Flight Booking API allows you to complete flight reservations with passenger details, seat selections, baggage, and other services.

Overview

This API endpoint finalizes a flight booking using a token obtained from the fare quote process. It supports multiple passengers, seat assignments, baggage selection, meal preferences, and GST billing information.

Endpoint: POST /flight/book

Authentication

Include the following headers in your request:

  • client-id: Your unique client ID
  • client-secret: Your unique client secret
  • Content-Type: application/json

Request Structure

Required Parameters

ParameterTypeDescription
client_referenceIdstringUnique client reference ID
trace_idstringTrace ID from search/quote response
tokenstringBooking token from fare quote response
passengersarrayArray of passenger objects

Passenger Object Structure

Each passenger object supports the following fields:

Basic Information (Required)

  • title: Mr, Mrs, Ms, Mstr
  • fname: First name
  • lname: Last name
  • mobile: Mobile number
  • email: Email address
  • passenger_type: adult, child, infant
  • dob: Date of birth (YYYY-MM-DD)
  • gender: M or F
  • address: Address
  • city: City name
  • country: Country name
  • country_code: Country code (e.g., "IN")

Optional Services

Seat Selection:

"seat": [
  {
    "code": "8E",
    "origin": "DEL", 
    "destination": "BOM"
  }
]

Baggage:

"baggage": [
  {
    "code": "BG05",
    "origin": "DEL",
    "destination": "BOM" 
  }
]

Meals:

"meal": [
  {
    "code": "MEAL_CODE",
    "origin": "DEL",
    "destination": "BOM"
  }
]

GST Details:

"gst": {
  "gst_company_name": "Company Name",
  "gst_number": "22AAAAA0000A1Z5", 
  "gst_company_address": "Business Address",
  "gst_company_mobile": "+911234567890",
  "gst_company_email": "[email protected]"
}

Complete Example

Request

{
  "client_referenceId": "REF123456789",
  "trace_id": "640f1347-23f8-42e6-8cb0-c35fb7bcaa83",
  "token": "OB148[TBO]h8EmEvD74S74Xo+NGWNg4zNbLd0InXwkQErhtzN+vsuMFxmon+TGuBraUQtR45/WKhkU/OwHgqKfIZYlshb6yAV/fTJECzmFbZdlc/uMA8/Ls+Lys1G1A30dkTgua9gsNCcl9sZsnnUH1hBzahVBQlF5v0LTyqNb4iDJD4vytuO5DZMiIo4Np9ReCcFjoxBVrP5vQ5ej/eRC84ZkM4UWtLjekCdmN0eunJmYgcCC9lToF8T8GrToDZswk3sO0vrYrpFlfU70P5cbwL6PNZ8ZO4dP2sL2kDduyygp8Qgkox+IlC3Ltks5XOKOVc+i1v9PI40cFyljnpnJEgO+KU7MfA9KLiF2uYa7MD4MkeNuad9rYLZtTedjocLLHkjtvsP4tNHGlY+r6+5KVqH3h3ZUaYDsoAaXOpK8o12HYB2Ah2xxu3LOz8BJmLOmfV1qFh9l4NzESJCqV3U+04sT/aedqGdzYLtKq6K9TV+wI4S79Uq+46Dp6GVc7yTK8LW6eGTpYKRvmR5cIX8e0venzZpSLZ6qOEylVehxbPejV2Z6O8OvUstW85rxHjwNjy57DWNDpgz4QR7PJagLiLG844u5EOfTeyFWlmMQContyIvzPTs=",
  "passengers": [
    {
      "title": "Mr",
      "fname": "Rahul",
      "lname": "Mishra",
      "mobile": "7786536425",
      "email": "[email protected]",
      "passenger_type": "adult",
      "dob": "1990-01-01",
      "gender": "M",
      "address": "123 Main Street",
      "city": "Delhi",
      "country": "India",
      "country_code": "IN",
      "seat": [
        {
          "code": "8E",
          "origin": "DEL",
          "destination": "BOM"
        }
      ]
    },
    {
      "title": "Mrs",
      "fname": "Ruhi", 
      "lname": "Mishra",
      "mobile": "7788990077",
      "email": "[email protected]",
      "passenger_type": "adult",
      "dob": "1991-01-01",
      "gender": "F",
      "address": "123 Main Street",
      "city": "Delhi",
      "country": "India", 
      "country_code": "IN",
      "baggage": [
        {
          "code": "BG05",
          "origin": "DEL",
          "destination": "BOM"
        }
      ],
      "seat": [
        {
          "code": "8D",
          "origin": "DEL", 
          "destination": "BOM"
        }
      ],
      "gst": {
        "gst_company_name": "Acme Pvt Ltd",
        "gst_number": "22AAAAA0000A1Z5",
        "gst_company_address": "Business Street, Delhi",
        "gst_company_mobile": "+911234567890",
        "gst_company_email": "[email protected]"
      }
    }
  ]
}

Response

{
  "status": "SUCCESS",
  "status_code": "200", 
  "message": "Booking Successful, proceed with ticket to confirm the flight booking.",
  "data": {
    "trace_id": "640f1347-23f8-42e6-8cb0-c35fb7bcaa83",
    "result": {
      "pnr": "N34828",
      "booking_id": 1984879,
      "price_changed": false,
      "time_changed": false,
      "seats_booked": true,
      "domestic": true,
      "source": "Amadeus",
      "origin": "DEL",
      "destination": "BOM", 
      "airline_code": "AI",
      "airline_remark": "We are testing Airline remark node",
      "last_ticket_date": "2025-05-24 13:31:00",
      "is_lcc": false,
      "non_refundable": false,
      "coupon_applicable": true,
      "credit_note_no": null,
      "segments": [
        {
          "trip_indicator": "outbound",
          "segment_indicator": "outbound", 
          "flight_number": "2993",
          "airline_code": "AI",
          "airline_name": "Air India",
          "fare_class": "G",
          "operating_carrier": "AI",
          "origin": {
            "airport_code": "DEL",
            "airport_name": "Indira Gandhi Airport",
            "terminal": "3",
            "city_code": "DEL", 
            "city_name": "Delhi",
            "country_code": "IN",
            "country_name": "India",
            "departure_time": "2025-06-10 12:35:00"
          },
          "destination": {
            "airport_code": "BOM",
            "airport_name": "Chhatrapati Shivaji International Airport",
            "terminal": "2",
            "city_code": "BOM",
            "city_name": "Mumbai", 
            "country_code": "IN",
            "country_name": "India",
            "arrival_time": "2025-06-10 14:50:00"
          },
          "duration": "2h 15m",
          "baggage": {
            "checked_baggage": "15 KG",
            "cabin_baggage": "Included"
          },
          "flight_class": null,
          "is_stopover": false,
          "e-ticket_available": true,
          "flight_status": "Confirmed"
        }
      ],
      "passengers": [
        {
          "passenger_id": 3223428,
          "barcode_details": {
            "Id": 0,
            "Barcode": [
              {
                "Index": 1,
                "Format": "PDF417", 
                "Content": "M1MISHRA/RAHUL         N34828 DELBOMAI 2993 161Y008E00000000",
                "BarCodeInBase64": null,
                "JourneyWayType": 3
              }
            ]
          },
          "title": "Mr",
          "fname": "Rahul",
          "lname": "Mishra",
          "passenger_type": "adult",
          "is_lead_passenger": true,
          "dob": "1990-01-01",
          "gender": "M",
          "mobile": "7786536425",
          "email": "[email protected]",
          "address": "123 Main Street",
          "city": "Delhi",
          "country_code": "IN",
          "country": "India",
          "fare": {
            "currency": "INR",
            "basefare": 6220,
            "tax_and_surcharges": 1058,
            "total_fare": 7377,
            "total_baggage_charges": 0,
            "total_meal_charges": 0, 
            "total_seat_charges": 99,
            "total_special_service_charges": 0
          },
          "seat": [
            {
              "code": "8E",
              "desc": "Purchase",
              "airline_code": "AI",
              "flight_number": "2993", 
              "craft_type": "32N",
              "row_no": "8",
              "seat_no": "E",
              "seat_type": "Middle",
              "price": 99,
              "currency": "INR",
              "origin": "DEL",
              "destination": "BOM"
            }
          ]
        }
      ],
      "fare": {
        "currency": "INR",
        "basefare": 12440,
        "tax_and_surcharges": 2116, 
        "total_fare": 17534,
        "total_baggage_charges": 2730,
        "total_meal_charges": 0,
        "total_seat_charges": 248,
        "total_special_service_charges": 0
      }
    }
  }
}

Response Structure

Key Response Fields

FieldDescription
pnrAirline PNR/confirmation number
booking_idInternal booking reference ID
price_changedWhether price changed from quote
time_changedWhether flight times changed
seats_bookedWhether seat assignments were successful
last_ticket_dateDeadline for ticket issuance
segmentsFlight segment details with times and airports
passengersPassenger details with assigned seats and fares
barcode_detailsBoarding pass barcode information
fareComplete fare breakdown

Fare Breakdown

The fare object includes:

  • basefare: Base ticket price
  • tax_and_surcharges: Government taxes and airline surcharges
  • total_baggage_charges: Extra baggage fees
  • total_seat_charges: Seat selection fees
  • total_meal_charges: Meal service charges
  • total_fare: Final total amount
Body Params
string
required

Unique Client Reference ID

string
required
string
required
passengers
array of objects
required
passengers*
Headers
string
required
string
required
Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!